Class Iti41Producer
java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultProducer
org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer<XdsSubmitAuditDataset, ProvideAndRegisterDocumentSetRequestType, RegistryResponseType>
org.openehealth.ipf.platform.camel.ihe.xds.XdsSubmissionProducer<ProvideAndRegisterDocumentSetRequestType, RegistryResponseType>
org.openehealth.ipf.platform.camel.ihe.xds.iti41.Iti41Producer
- All Implemented Interfaces:
AutoCloseable, EndpointAware, IsSingleton, Processor, Producer, Service, ShutdownableService, StepIdAware, StatefulService, SuspendableService
public class Iti41Producer
extends XdsSubmissionProducer<ProvideAndRegisterDocumentSetRequestType, RegistryResponseType>
- Author:
- Dmytro Rud
-
Field Summary
Fields inherited from class XdsSubmissionProducer
TARGET_HCID_BLOCK_LOCAL_PART, TARGET_HCID_HEADER_NAME, TARGET_HCID_LOCAL_PART, TARGET_HCID_NS, TARGET_HCID_NS_PREFIXFields inherited from class BaseService
BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING -
Constructor Summary
ConstructorsConstructorDescriptionIti41Producer(AbstractWsEndpoint<XdsSubmitAuditDataset> endpoint, JaxWsClientFactory<XdsSubmitAuditDataset> clientFactory) -
Method Summary
Modifier and TypeMethodDescriptionprotected RegistryResponseTypecallService(Object client, ProvideAndRegisterDocumentSetRequestType request) Sends the given request body to a Web Service via the given client proxy.Methods inherited from class XdsSubmissionProducer
injectTargetHomeCommunityIdMethods inherited from class AbstractWsProducer
cleanRequestContext, configureClient, enrichRequestContext, enrichResponseMessage, getAlternativeRequestKeys, getEndpoint, getRequestClass, getResponseClass, getWsTransactionConfiguration, processMethods inherited from class org.apache.camel.support.DefaultProducer
createExchange, doStart, doStop, getStepId, isSingleton, setStepId, toStringMethods inherited from class BaseService
build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspendMethods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface ShutdownableService
shutdownMethods inherited from interface StatefulService
getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspendingMethods inherited from interface SuspendableService
isSuspended, resume, suspend
-
Constructor Details
-
Iti41Producer
public Iti41Producer(AbstractWsEndpoint<XdsSubmitAuditDataset> endpoint, JaxWsClientFactory<XdsSubmitAuditDataset> clientFactory)
-
-
Method Details
-
callService
protected RegistryResponseType callService(Object client, ProvideAndRegisterDocumentSetRequestType request) Description copied from class:AbstractWsProducerSends the given request body to a Web Service via the given client proxy.- Specified by:
callServicein classAbstractWsProducer<XdsSubmitAuditDataset, ProvideAndRegisterDocumentSetRequestType, RegistryResponseType>
-